Package org.apache.commons.lang3.function

## Interface FailableConsumer<T,​E extends java.lang.Throwable>

Type Parameters:
  `T` - Consumed type 1.
  `E` - Thrown exception.

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

    @FunctionalInterface
    public interface FailableConsumer<T,​E extends java.lang.Throwable>

A functional interface like `Consumer` that declares a `Throwable`.

Since:
  3.11

### Field Summary

Fields
`static FailableConsumer` `NOP` NOP singleton

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Default Methods
`void` `accept​(T object)` Accepts the consumer.
`default FailableConsumer<T,​E>` `andThen​(FailableConsumer<? super T,​E> after)` Returns a composed `Consumer` like `Consumer.andThen(Consumer)`.
`static <T,​E extends java.lang.Throwable> FailableConsumer<T,​E>` `nop()` Returns The NOP singleton.

### Field Detail

#### NOP

    static final FailableConsumer NOP

NOP singleton

### Method Detail

#### nop

    static <T,​E extends java.lang.Throwable> FailableConsumer<T,​E> nop()

Returns The NOP singleton.

Type Parameters:
  `T` - Consumed type 1.
  `E` - Thrown exception.
Returns:
  The NOP singleton.

#### accept

    void accept​(T object)
         throws E extends java.lang.Throwable

Accepts the consumer.

Parameters:
  `object` - the parameter for the consumable to accept
Throws:
  `E` - Thrown when the consumer fails.
  `E extends java.lang.Throwable`

#### andThen

    default FailableConsumer<T,​E> andThen​(FailableConsumer<? super T,​E> after)

Returns a composed `Consumer` like `Consumer.andThen(Consumer)`.

Parameters:
  `after` - the operation to perform after this operation
Returns:
  a composed `Consumer` like `Consumer.andThen(Consumer)`.
Throws:
  `java.lang.NullPointerException` - when `after` is null